{ config, pkgs, ... }:

let
  host = "nms.dgnum.eu";
in

{
  imports = [ ./module.nix ];

  services.librenms = {
    enable = true;

    package =
      (pkgs.librenms.override { inherit (config.services.librenms) dataDir logDir; }).overrideAttrs
        (old: {
          patches = (old.patches or [ ]) ++ [ ./kanidm.patch ];
          vendorHash = "sha256-2RgtMXQp4fTE+WloO36rtfytO4Sh2q0plt8WkWxEGHI=";
        });

    hostname = host;

    settings = { };

    database = {
      createLocally = true;
      passwordFile = config.age.secrets."librenms-database_password_file".path;
    };

    environmentFile = config.age.secrets."librenms-environment_file".path;

    nginx = {
      serverName = host;
      enableACME = true;
      forceSSL = true;
    };
  };

  age-secrets.autoMatch = [ "librenms" ];
}
